From f7125311378438dfac42d53ac2de930a823dac86 Mon Sep 17 00:00:00 2001
From: Adam Samalik <asamalik@redhat.com>
Date: Oct 03 2019 07:07:32 +0000
Subject: [PATCH 18/88] show the correct language


---

diff --git a/build-scripts/build-translated.py b/build-scripts/build-translated.py
index c7acc7e..eb7adc4 100755
--- a/build-scripts/build-translated.py
+++ b/build-scripts/build-translated.py
@@ -53,7 +53,9 @@ def get_languages(config):
 def generate_lang_switch_ui(languages):
     template_start = """
         <div class="page-languages">
-            <button class="languages-menu-toggle" title="Show other languages of the site">en-US</button>
+            <button class="languages-menu-toggle" title="Show other languages of the site">
+                {{{env.ANTORA_LANGUAGE}}}
+            </button>
             <div class="languages-menu">
     """
     template_end = """
@@ -142,6 +144,7 @@ def main():
         # First, building and copying the en-US site
         log("")
         log("===== Building the en-US site =====")
+        antora_env["env.ANTORA_LANGUAGE"] = "en-US"
         result = subprocess.run(["antora", "--html-url-extension-style=indexify", os.path.join(docs_repo, "site.yml")], env=antora_env)
 
         if result.returncode != 0:
@@ -173,6 +176,7 @@ def main():
             log("")
             log("===== Building the {lang} site =====".format(lang=lang))
             filename = "site-{lang}.yml".format(lang=lang)
+            antora_env["env.ANTORA_LANGUAGE"] = lang
             result = subprocess.run(["antora", "--html-url-extension-style=indexify", os.path.join(docs_repo, filename)], env=antora_env)
 
             if result.returncode != 0:

